Her ne kadar ASP.Net ile uygulama geliştirsem de baz..." /> Php5 i Apache 1.3.x ‘e nasıl kurarsınız ? – Erkan Hacıoğlu | Microsoft.Net & Blackberry Developer


Genel no image

Published on Mayıs 20th, 2009 | by Erkan Hacıoğlu

0

Php5 i Apache 1.3.x ‘e nasıl kurarsınız ?

Her ne kadar ASP.Net ile uygulama geliştirsem de bazen php ile ilgili ihtiyaçlarda ortaya çıkıyor.

Siz de benim gibi Php konusunda çok yeni iseniz bu bilgi işinize yarayabilir.

Apache 1.3.23 sürümü yüklüyken (PhpTriah ile gelen sürümü buydu) PHP5 i kurmak istedim. Installer dosyasını kurarken sorun olmamasına rağmen Apache Server'ı çalıştırmak istediğimde "Invalid command 'PHPIniDir' perhaps mis-spelled or defined" gibi bir hata ile karşılaştım.

Çözüm için httpd.conf (C:\apache\conf\httpd.conf) dosyasına aşağıdaki satırları eklemeniz gerekiyor.

AddType application/x-httpd-php .php
LoadModule php5_module "c:/apache/php/php5apache.dll"
SetEnv PHPRC C:/Apache/php

2 önemli not

1) Yukarıdaki LoadModule php5_module "c:/apache/php/php5apache.dll" ve SetEnv PHPRC C:/Apache/php satırlarında Php'nin kurulu olduğu dizin C:\Apache\Php dir. Siz kendinize göre Php'nin kurulu olduğu dizini yazmalısınız.

2) httpd.conf dosyası içerisinde

#BEGIN PHP INSTALLER EDITS – REMOVE ONLY ON UNINSTALL
PHPIniDir "C:/Apache/PHP/"
LoadModule php5_module "C:/Apache/PHP/php5apache.dll"
#END PHP INSTALLER EDITS – REMOVE ONLY ON UNINSTALL

şeklindeki satırları silmeniz gerekiyor.

 Faydalı olması dileği ile 🙂


About the Author

Kodlama dünyasına 2001 yılında adım atıp bir daha bu dünyadan çıkamayan, internetin oksijen, ekmek, su gibi olduğunu düşünen bir insan...



Bir Cevap Yazın

E-posta hesabınız yayımlanmayacak. Gerekli alanlar * ile işaretlenmişlerdir

Back to Top ↑